function estimate_defoci_tiltseries(stackname,folder,params,nCTFareas,rebinf,varargin)

if length(varargin) == 1
    setpixelsize = varargin{1};
end

for k = 1:nCTFareas
    filename = [folder '/CTF' num2str(k) '/' stackname '.st'];
    
    if exist('setpixelsize','var')
        pixelsize = setpixelsize;
    else
        [~,header] = dos(['header -brief ' filename]);
        idx = strfind(header, 'Pixel size in nanometers = ');
        pixelsize = str2double(header(idx+27:idx+27+6));
        pixelsize = pixelsize*1e-9;
    end

    params.pixsize  = rebinf*pixelsize;

    a = tom_mrcread(filename);
    a = a.Value;
    
    N = size(a,1);
    nangles = size(a,3);

%     w = hannwind(N/rebinf);
    w = 1;

	defoci = zeros(nangles,1);
    defoci_std = zeros(nangles,1);
    for n = 1:nangles
        close all;
        projection = rebin(squeeze(a(:,:,n)),rebinf);
        projection = w*(projection - mean(projection));

        try
            [defoci(n), defoci_std(n), ~, ~, ~, ~] = estimate_df_ast(projection,params);
        catch err
            fprintf('%s\n',err.message);
        end
    end
    
    % I know it's underfocus, so I don't care about the sign
    defoci = -abs(defoci);

    outputfilename = [folder '/CTF' num2str(k) '/' stackname '_defocus.txt'];

    fid = fopen(outputfilename,'w');
        fprintf(fid,'%12.7f %12.7f\r\n',[defoci defoci_std]');
    fclose(fid);
end



        