function akfilter = getAkFilter(norders,type,varargin)

switch type
   case 'Wiener'
      if nargin == 3
         lambda = varargin{1};
         akfilter = (sqrt(1+(lambda/2)^2)-lambda/2).^(1:2:2*norders)./(2*sqrt(1+(lambda/2)^2));
      else
         akfilter = zeros(1,norders);
         akfilter(1) = 1;
      end
   case 'Phase'
      if nargin == 4
         akfilter = 1/pi./(varargin{2}+(1:2:2*norders));
      else
         akfilter = 1/pi./(1:2:2*norders);
      end
   case 'CTF'
      akfilter = zeros(1,norders);
      akfilter(1) = 1/4;
   otherwise
      akfilter = zeros(1,norders);
      akfilter(1) = 1;
end
