function filter = getFilter(W0,type,lambda,norders)

if isinf(norders) || isempty(norders)
	switch type
        case 'Wiener'
            filter = 2*sin(W0)./((2*sin(W0)).^2 + lambda^2);
        case 'Phase'
            filter = 1/2*sign(sin(W0));
            filter(filter == 0) = 1/2;
        case 'CTF'
            filter = sin(W0)/2;
        otherwise
            filter = 1;
	end
else
    filter = 0*W0;
    Ak_filter = getAkFilter(norders,type,lambda);      
    [norders Ak_filter] = truncateAkFilter(Ak_filter);

    for k = 1:norders
        order = 2*k-1;
        filter = filter + Ak_filter(k)*2*sin(order*W0);
    end
end