function iTCTF_tiltseries_unaligned(stackname,setdef,folder,params,tilt_axis_rotation)

filename = [folder '/def' num2str(setdef) '/' stackname '.st'];
outputfilename = [folder '/def' num2str(setdef) '/' stackname '_iTCTF.st'];

fid = fopen([folder '/def' num2str(setdef) '/' stackname '_stack_info.txt'],'r');
    fgets(fid);
    %tilt,defocus [nm],defocus after align [nm],alpha,beta
    stackinfo = fscanf(fid, '%f, %f, %f, %f, %f',[5, Inf]);
fclose(fid);

defoci = -stackinfo(2,:);
alpha = stackinfo(4,:);
beta = stackinfo(5,:);

beta_r = beta - tilt_axis_rotation;

% load the aligned tilt-series
a = tom_mrcread(filename);
a = a.Value;

%a = a(:,:,1:2);
%a = a-mean(a(:));
%a = a/std(a(:))*5000;

N = size(a,1);
nangles = size(a,3);

edge_blur = 25;
windowing = (0.5-0.5*cos((N/2-abs(xx(N,N)))/edge_blur*pi))*(abs(xx(N,N))>N/2-edge_blur)+(abs(xx(N,N))<=N/2-edge_blur);
windowing = windowing*rot90(windowing);

% allocate output memory
a_iTCTF = double(zeros(size(a)));
parfor k = 1:nangles
    k
    newparams = params;
    newparams.df_estimated = defoci(k)*1e-9;

    projection = a(:,:,k);
    projection = dip_image(double(projection));

    % masking the edges
    mean_projection = mean(projection);
    projection = (projection-mean_projection)*windowing+mean_projection;

    % correcting difference between dip_image and imod
    projection = rot90(projection);

    % do the CTF correction
    projection_iTCTF = 2*1/(N^2*2)*iCTF_Tilt_2d_projection_new(projection,alpha(k),newparams,beta_r(k));
    projection_iCTF = 2*iCTF_Regular_2d_projection(projection,newparams);

    % low frequency replacement
    freq_threshold_pix = 0.5*newparams.fov./sqrt(1/2*newparams.lambda*newparams.fov*abs(tan(alpha(k))));
    mask = rr(N,N)<freq_threshold_pix;

    Projection_iTCTF = ft(projection_iTCTF);
    Projection_iCTF = ft(projection_iCTF);
    Projection_iTCTF(mask) = Projection_iCTF(mask);
    projection_iTCTF_lf = real(ift(Projection_iTCTF));

    % store result
    a_iTCTF(:,:,k) = double(rot90(projection_iTCTF_lf,-1));
end

%write result to disk
tom_mrcwrite(a_iTCTF,'name',outputfilename);
%save([outputfilename '.mat'],'a_iTCTF','-v7.3');
