function sinogram = CTF_Regular_1d(sinogram,params)
%CTF_REGULAR_1D   Compute Regular CTF for 1D projection
%
%
% SYNOPSIS:
%  sinogram = CTF_REGULAR_1D(sinogram,params);
% 
% PARAMETERS:
%  sinogram:   Input projections (xp,angles)
%  params:     set of microscope and acquisition parameters
% 
% OUTPUT:
%  sinogram:   

% The Quantitative Imaging Group of the TU Delft has developed and is the 
% owner of the image processing routines distributed in this package, 
% hereafter called SOFTWARE.
% 
% The SOFTWARE is free for non-commercial use by students and staff in 
% universities or non-profit research institutes.
% 
% Redistribution of SOFTWARE or parts thereof in any form is not permitted.
% 
% This SOFTWARE is distributed in the hope that it will be useful, but 
% without any warranty; without even the implied warranty of 
% merchantability or fitness for a particular purpose.

sinogram = dip_image(sinogram);
N = size(sinogram,1);

qx = xx(N,1,'freq');

sinogram = dip_fouriertransform(sinogram,'forward',[1 0]);

p  = qx*N/params.fov;
W0 = -pi*params.lambda*params.df_estimated*p.^2 + pi/2*params.C_s*params.lambda^3*p.^4;

sinogram = 2*sin(W0)*sinogram;

%inverse fourier transform
sinogram = real(dip_fouriertransform(sinogram,'inverse',[1 0]));
